#!/bin/bash
# ###license-information-start###
# The MOSAIC Project - Toolbox for research
# __
# Copyright (C) 2009 - 2017 The MOSAIC Project - Institute for Community Medicine 
# University Medicine of Greifswald - mosaic@uni-greifswald.de
# __
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# ###license-information-end###
# author: martin.bialke@uni-greifswald.de

echo ""
echo "=============================="
echo "= Add new export access user ="
echo "=============================="
read -p "+ Where is your .htpasswd-file located (default: /opt/nginx): " htdir 
read -p "+ User name: " user
echo ""
echo "- Please enter password for user $user"
sudo sh -c "echo -n \"$user:\" >> $htdir/certs/.htpasswd" 
sudo sh -c "openssl passwd -apr1 >> $htdir/certs/.htpasswd"
echo ""
echo "- Finally please check your portal-config file: $htdir/conf/my_proxy.conf "
echo ""
echo "- the location export entry should look like this:"
echo ""
echo "location /export/ {"
echo "		autoindex on;"
echo "		auth_basic \"Access to Toolbox Data Export is restricted\";"
echo "		auth_basic_user_file /etc/nginx/certs/.htpasswd;"
echo "   }"
echo ""

echo "- Restarting Portal Container"
docker stop portal >/dev/null
docker start portal >/dev/null
sleep 10
echo "- Done"
echo ""