#!/bin/bash
# ###license-information-start###
# The MOSAIC Project - Toolbox for research
# __
# Copyright (C) 2009 - 2017 The MOSAIC Project - Institute for Community Medicine 
# University Medicine of Greifswald - mosaic@uni-greifswald.de
# __
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# ###license-information-end###
# author: arne.blumentritt@uni-greifswald.de

echo ""
echo "==================="
echo "=     Portal      ="
echo "==================="

HOSTDIR=$1
if [ -z "$HOSTDIR" ]; then
	read -e -p "- Set storage-path on host for config- and database-files: " -i "/opt" HOSTDIR
	if [ ! -d "$HOSTDIR" ]; then
		echo "Given hostpath does not exists '$HOSTDIR'"
		exit 1;
	fi
fi
HOSTDIR=${HOSTDIR%/}

echo "- Install nginx"
mkdir -m 777 -p $HOSTDIR/nginx/{certs,www,conf,export}
cp ./portal/*.crt $HOSTDIR/nginx/certs/
cp ./portal/*.key $HOSTDIR/nginx/certs/
cp ./portal/my_proxy.conf $HOSTDIR/nginx/conf/
cp ./portal/www/*.* $HOSTDIR/nginx/www
docker pull nginx:1.9.12 >> logs/install_out.log 2>> logs/install_error.log

echo "- Start nginx"
docker run \
	--detach \
	--name=portal \
	--publish=80:80 \
	--publish=443:443 \
	--link=ttp:ttp \
	--link=oc:oc \
	--volume=$HOSTDIR/nginx/www/:/usr/share/nginx/html \
	--volume=$HOSTDIR/nginx/certs/:/etc/nginx/certs \
	--volume=$HOSTDIR/extrans/:/usr/share/nginx/html/export \
	--volume=$HOSTDIR/nginx/conf/my_proxy.conf:/etc/nginx/nginx.conf nginx:1.9.12 \
	>> logs/install_out.log 2>> logs/install_error.log
