-- MySQL dump 10.13  Distrib 5.6.28, for Linux (x86_64)
--
-- Host: localhost    Database: 
-- ------------------------------------------------------
-- Server version 5.6.28

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `gpas`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `gpas` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `gpas`;

--
-- Table structure for table `psn`
--

DROP TABLE IF EXISTS `psn`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `psn` (
  `originalValue` varchar(255) NOT NULL,
  `pseudonym` varchar(255) DEFAULT NULL,
  `domain` varchar(255) NOT NULL,
  PRIMARY KEY (`domain`,`originalValue`),
  UNIQUE KEY `domain` (`domain`,`pseudonym`),
  KEY `FK_DOMAIN` (`domain`),
  CONSTRAINT `FK_DOMAIN` FOREIGN KEY (`domain`) REFERENCES `psn_projects` (`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `psn`
--

LOCK TABLES `psn` WRITE;
/*!40000 ALTER TABLE `psn` DISABLE KEYS */;
/*!40000 ALTER TABLE `psn` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `psn_projects`
--

DROP TABLE IF EXISTS `psn_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `psn_projects` (
  `domain` VARCHAR(255) NOT NULL,
  `alphabet` VARCHAR(255) NULL DEFAULT NULL,
  `properties` VARCHAR(255) NULL DEFAULT NULL,
  `generatorClass` VARCHAR(255) NULL DEFAULT NULL,
  `comment` VARCHAR(255) NULL DEFAULT NULL,
  `parentDomain` VARCHAR(255) NULL DEFAULT NULL,
  PRIMARY KEY (`domain`),
  KEY `parent_Domain_idx` (`parentDomain`),
  CONSTRAINT `parent_Domain` FOREIGN KEY (`parentDomain`) REFERENCES `psn_projects` (`domain`) ON UPDATE NO ACTION ON DELETE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `psn_projects`
--

LOCK TABLES `psn_projects` WRITE;
/*!40000 ALTER TABLE `psn_projects` DISABLE KEYS */;
INSERT INTO `psn_projects` VALUES
  ('internal_anonymisation_domain','org.emau.icmvc.ganimed.ttp.psn.alphabets.Symbol31','PSN_PREFIX=###_anonym_###_;PSN_LENGTH=10;PSN_SUFFIX=_###_anonym_###;MAX_DETECTED_ERRORS=2;','org.emau.icmvc.ganimed.ttp.psn.generator.ReedSolomonLagrange','internal domain used to create unique anonyms',NULL)
  ,('nvr.open.clinica','org.emau.icmvc.ganimed.ttp.psn.alphabets.Symbol31','PSN_PREFIX=oc-;PSN_LENGTH=6;','org.emau.icmvc.ganimed.ttp.psn.generator.ReedSolomonLagrange','',NULL)
  -- ,('nvr.sit1','org.emau.icmvc.ganimed.ttp.psn.alphabets.Numbers','PSN_PREFIX=s1-;PSN_LENGTH=8;','org.emau.icmvc.ganimed.ttp.psn.generator.Verhoeff','',NULL)
  -- ,('nvr.sit2','org.emau.icmvc.ganimed.ttp.psn.alphabets.Numbers','PSN_PREFIX=s2-;PSN_LENGTH=8;','org.emau.icmvc.ganimed.ttp.psn.generator.Verhoeff','',NULL)
  ,('nvr.bc','org.emau.icmvc.ganimed.ttp.psn.alphabets.Symbol31','PSN_PREFIX=bc-;PSN_LENGTH=6;','org.emau.icmvc.ganimed.ttp.psn.generator.ReedSolomonLagrange','',NULL)
  ,('nvr.fp','org.emau.icmvc.ganimed.ttp.psn.alphabets.Symbol31','PSN_PREFIX=fp-;PSN_LENGTH=6;','org.emau.icmvc.ganimed.ttp.psn.generator.ReedSolomonLagrange','',NULL)
  ;
/*!40000 ALTER TABLE `psn_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stat_entry`
--

DROP TABLE IF EXISTS `stat_entry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stat_entry` (
  `STAT_ENTRY_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `ENTRYDATE` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`STAT_ENTRY_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stat_entry`
--

LOCK TABLES `stat_entry` WRITE;
/*!40000 ALTER TABLE `stat_entry` DISABLE KEYS */;
/*!40000 ALTER TABLE `stat_entry` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stat_value`
--

DROP TABLE IF EXISTS `stat_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stat_value` (
  `stat_value_id` bigint(20) DEFAULT NULL,
  `stat_value` varchar(255) DEFAULT NULL,
  `stat_attr` varchar(50) DEFAULT NULL,
  KEY `FK_stat_value_stat_value_id` (`stat_value_id`),
  CONSTRAINT `FK_stat_value_stat_value_id` FOREIGN KEY (`stat_value_id`) REFERENCES `stat_entry` (`STAT_ENTRY_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stat_value`
--

LOCK TABLES `stat_value` WRITE;
/*!40000 ALTER TABLE `stat_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `stat_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Current Database: `gras`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `gras` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `gras`;

--
-- Table structure for table `domain`
--

DROP TABLE IF EXISTS `domain`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `domain` (
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `domain`
--

LOCK TABLES `domain` WRITE;
/*!40000 ALTER TABLE `domain` DISABLE KEYS */;
INSERT INTO `domain` VALUES ('cm',''),('epix',''),('gras',''),('psn',''),('ttp','');
/*!40000 ALTER TABLE `domain` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `updateDomain` BEFORE UPDATE ON `gras`.`domain` FOR EACH ROW INSERT INTO hist_domain(name,description,timestamp,action) 
    VALUES(OLD.name,OLD.description, now(),'update') */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `deleteDomain` BEFORE DELETE ON `gras`.`domain` FOR EACH ROW BEGIN
    INSERT INTO hist_domain(name,description,timestamp,action) 
        VALUES(OLD.name,OLD.description, now(),'delete');
    DELETE FROM gras.permission WHERE domain_name = OLD.name;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Temporary view structure for view `domainuser_password`
--

DROP TABLE IF EXISTS `domainuser_password`;
/*!50001 DROP VIEW IF EXISTS `domainuser_password`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `domainuser_password` AS SELECT 
 1 AS `domainuser`,
 1 AS `password`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `domainuser_role`
--

DROP TABLE IF EXISTS `domainuser_role`;
/*!50001 DROP VIEW IF EXISTS `domainuser_role`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `domainuser_role` AS SELECT 
 1 AS `domainuser`,
 1 AS `role`*/;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `group_`
--

DROP TABLE IF EXISTS `group_`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `group_` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `project_name` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQUE_NAME_PROJECT` (`name`,`project_name`),
  KEY `FK_PROJECT_GROUP` (`project_name`),
  CONSTRAINT `FK_PROJECT_GROUP` FOREIGN KEY (`project_name`) REFERENCES `project` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `group_`
--

LOCK TABLES `group_` WRITE;
/*!40000 ALTER TABLE `group_` DISABLE KEYS */;
INSERT INTO `group_` VALUES (1,'admins','epix',''),(2,'admins','psn',''),(3,'users','epix',''),(4,'users','psn',''),(5,'admins','gras',''),(6,'users','gras',''),(7,'admins','cm',''),(8,'users','cm',''),(9,'admin','dispatcher',''),(11,'admin','nvr','');
/*!40000 ALTER TABLE `group_` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `updateGroup` BEFORE UPDATE ON `gras`.`group_` FOR EACH ROW INSERT INTO hist_group_(group_id,name,project_name,description,timestamp,action)
        VALUES(OLD.id,OLD.name,OLD.project_name,OLD.description, now(),
      'update') */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `deleteGroup` BEFORE DELETE ON `gras`.`group_` FOR EACH ROW BEGIN
    INSERT INTO hist_group_(group_id,name,project_name,description,timestamp,action)
        VALUES(OLD.id,OLD.name,OLD.project_name,OLD.description, now(),
      'delete');
    DELETE FROM gras.group_role_mapping WHERE group_id = OLD.id;
    DELETE FROM gras.permission WHERE group_id = OLD.id;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `group_role_mapping`
--

DROP TABLE IF EXISTS `group_role_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `group_role_mapping` (
  `group_id` int(11) NOT NULL,
  `role_id` int(11) NOT NULL,
  PRIMARY KEY (`group_id`,`role_id`),
  KEY `FK_GROUP` (`group_id`),
  KEY `FK_ROLE` (`role_id`),
  CONSTRAINT `FK_GROUP` FOREIGN KEY (`group_id`) REFERENCES `group_` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_ROLE` FOREIGN KEY (`role_id`) REFERENCES `role` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `group_role_mapping`
--

LOCK TABLES `group_role_mapping` WRITE;
/*!40000 ALTER TABLE `group_role_mapping` DISABLE KEYS */;
INSERT INTO `group_role_mapping` VALUES (1,15),(1,16),(1,17),(1,18),(1,19),(1,20),(1,21),(1,22),(1,23),(1,24),(1,25),(1,26),(1,27),(2,1),(2,2),(2,3),(2,4),(2,5),(2,6),(2,7),(2,8),(2,9),(2,10),(2,11),(2,12),(2,13),(2,14),(3,15),(3,17),(3,18),(3,19),(4,1),(4,2),(4,3),(4,4),(4,5),(4,6),(4,7),(4,8),(4,9),(5,42),(5,43),(5,44),(5,45),(5,46),(5,47),(5,48),(5,49),(5,50),(5,51),(5,52),(5,53),(5,54),(5,55),(5,56),(5,57),(5,58),(5,59),(5,60),(5,61),(5,62),(5,63),(5,64),(5,65),(5,66),(5,67),(5,68),(5,69),(5,70),(5,71),(5,72),(6,73),(7,28),(7,29),(7,30),(7,31),(7,32),(7,33),(7,34),(7,35),(7,36),(7,37),(7,38),(7,39),(7,40),(7,41),(8,30),(8,31),(8,32),(8,35),(8,38),(8,39),(8,40),(8,41),(9,74),(11,78);
/*!40000 ALTER TABLE `group_role_mapping` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `insertGroupRoleMapping` BEFORE INSERT ON `gras`.`group_role_mapping` FOR EACH ROW BEGIN
    DECLARE msg VARCHAR(255);
    IF NOT EXISTS (SELECT * FROM (SELECT r.id AS role_id , g.id AS group_id FROM role r, group_ g WHERE r.id = NEW.role_id AND g.id = NEW.group_id AND g.project_name = r.project_name) AS joined) THEN
        set msg = "Role and Group have to belong to the same Project";
        SIGNAL SQLSTATE '45000' SET MESSAGE_TEXT = msg;
    END IF;        
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `updateGroupRoleMapping` BEFORE UPDATE ON `gras`.`group_role_mapping` FOR EACH ROW INSERT INTO hist_group_role_mapping(group_id,role_id,timestamp,action)
        VALUES(OLD.group_id, OLD.role_id, now() ,'update' ) */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `deleteGroupRoleMapping` BEFORE DELETE ON `gras`.`group_role_mapping` FOR EACH ROW INSERT INTO hist_group_role_mapping(group_id,role_id,timestamp,action)
        VALUES(OLD.group_id, OLD.role_id, now() ,'delete' ) */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `hist_domain`
--

DROP TABLE IF EXISTS `hist_domain`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hist_domain` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `timestamp` datetime NOT NULL,
  `action` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hist_domain`
--

LOCK TABLES `hist_domain` WRITE;
/*!40000 ALTER TABLE `hist_domain` DISABLE KEYS */;
/*!40000 ALTER TABLE `hist_domain` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hist_group_`
--

DROP TABLE IF EXISTS `hist_group_`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hist_group_` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `project_name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `timestamp` datetime NOT NULL,
  `action` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hist_group_`
--

LOCK TABLES `hist_group_` WRITE;
/*!40000 ALTER TABLE `hist_group_` DISABLE KEYS */;
/*!40000 ALTER TABLE `hist_group_` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hist_group_role_mapping`
--

DROP TABLE IF EXISTS `hist_group_role_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hist_group_role_mapping` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` varchar(255) NOT NULL,
  `role_id` varchar(255) NOT NULL,
  `timestamp` datetime NOT NULL,
  `action` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hist_group_role_mapping`
--

LOCK TABLES `hist_group_role_mapping` WRITE;
/*!40000 ALTER TABLE `hist_group_role_mapping` DISABLE KEYS */;
/*!40000 ALTER TABLE `hist_group_role_mapping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hist_permission`
--

DROP TABLE IF EXISTS `hist_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hist_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL,
  `user_name` varchar(255) NOT NULL,
  `domain_name` varchar(255) NOT NULL,
  `timestamp` datetime NOT NULL,
  `action` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hist_permission`
--

LOCK TABLES `hist_permission` WRITE;
/*!40000 ALTER TABLE `hist_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `hist_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hist_project`
--

DROP TABLE IF EXISTS `hist_project`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hist_project` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `timestamp` datetime NOT NULL,
  `action` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hist_project`
--

LOCK TABLES `hist_project` WRITE;
/*!40000 ALTER TABLE `hist_project` DISABLE KEYS */;
/*!40000 ALTER TABLE `hist_project` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hist_role`
--

DROP TABLE IF EXISTS `hist_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hist_role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `project_name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `timestamp` datetime NOT NULL,
  `action` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hist_role`
--

LOCK TABLES `hist_role` WRITE;
/*!40000 ALTER TABLE `hist_role` DISABLE KEYS */;
/*!40000 ALTER TABLE `hist_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hist_user`
--

DROP TABLE IF EXISTS `hist_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hist_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `password` varchar(255) DEFAULT NULL,
  `active` tinyint(1) DEFAULT '1',
  `description` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `timestamp` datetime NOT NULL,
  `action` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hist_user`
--

LOCK TABLES `hist_user` WRITE;
/*!40000 ALTER TABLE `hist_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `hist_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `permission`
--

DROP TABLE IF EXISTS `permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `permission` (
  `group_id` int(11) NOT NULL,
  `user_name` varchar(255) NOT NULL DEFAULT '',
  `domain_name` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`group_id`,`user_name`,`domain_name`),
  KEY `FK_PERMISSION_DOMAIN` (`domain_name`),
  KEY `FK_PERMISSION_USER` (`user_name`),
  KEY `FK_PERMISSION_GROUP` (`group_id`),
  CONSTRAINT `FK_PERMISSION_DOMAIN` FOREIGN KEY (`domain_name`) REFERENCES `domain` (`name`),
  CONSTRAINT `FK_PERMISSION_GROUP` FOREIGN KEY (`group_id`) REFERENCES `group_` (`id`),
  CONSTRAINT `FK_PERMISSION_USER` FOREIGN KEY (`user_name`) REFERENCES `user` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `permission`
--

LOCK TABLES `permission` WRITE;
/*!40000 ALTER TABLE `permission` DISABLE KEYS */;
INSERT INTO `permission` VALUES (11,'trustee','ttp');
/*!40000 ALTER TABLE `permission` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `updatePermission` BEFORE UPDATE ON `gras`.`permission` FOR EACH ROW INSERT INTO hist_permission(group_id,user_name,domain_name,timestamp,action)
        VALUES(OLD.group_id, OLD.user_name, OLD.domain_name, now(), 'update' ) */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `deletePermission` BEFORE DELETE ON `gras`.`permission` FOR EACH ROW INSERT INTO hist_permission(group_id,user_name,domain_name,timestamp,action)
        VALUES(OLD.group_id, OLD.user_name, OLD.domain_name, now(), 'delete' ) */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `project`
--

DROP TABLE IF EXISTS `project`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `project` (
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project`
--

LOCK TABLES `project` WRITE;
/*!40000 ALTER TABLE `project` DISABLE KEYS */;
INSERT INTO `project` VALUES ('cm',''),('dispatcher',''),('epix',''),('gras',''),('nvr',''),('psn','');
/*!40000 ALTER TABLE `project` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `updateProject` BEFORE UPDATE ON `gras`.`project` FOR EACH ROW INSERT INTO hist_project(name,description,timestamp,action) 
        VALUES(OLD.name,OLD.description, now(),'update') */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `deleteProject` BEFORE DELETE ON `gras`.`project` FOR EACH ROW BEGIN
    INSERT INTO hist_project(name,description,timestamp,action) 
        VALUES(OLD.name,OLD.description, now(),'delete');
    DELETE FROM gras.group_ WHERE project_name = OLD.name;
    DELETE FROM gras.role WHERE project_name = OLD.name;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `project_name` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQUE_NAME_PROJECT` (`name`),
  KEY `FK_PROJECT_ROLE` (`project_name`),
  CONSTRAINT `FK_PROJECT_ROLE` FOREIGN KEY (`project_name`) REFERENCES `project` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=80 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
INSERT INTO `role` VALUES (1,'role.psn.getPseudonymFor','psn',''),(2,'role.psn.getOrCreatePseudonymFor','psn',''),(3,'role.psn.deleteEntry','psn',''),(4,'role.psn.checkPSN','psn',''),(5,'role.psn.getValueFor','psn',''),(6,'role.psn.getOrCreatePseudonymForList','psn',''),(7,'role.psn.anonymiseEntry','psn',''),(8,'role.psn.validatePSN','psn',''),(9,'role.psn.getValueForList','psn',''),(10,'role.psn.domain.deleteDomain','psn',''),(11,'role.psn.domain.getDomainObject','psn',''),(12,'role.psn.domain.listDomains','psn',''),(13,'role.psn.domain.listPossibleProperties','psn',''),(14,'role.psn.domain.listPseudonymsFor','psn',''),(15,'role.epix.queryPersonByLocalIdentfier','epix',''),(16,'role.epix.updatePerson','epix',''),(17,'role.epix.queryPersonByDemographicData','epix',''),(18,'role.epix.requestMPI','epix',''),(19,'role.epix.requestMPINoPersist','epix',''),(20,'role.epix.getAllIdentifierDomains','epix',''),(21,'role.epix.getLinkedPersons','epix',''),(22,'role.epix.mergePerson','epix',''),(23,'role.epix.requestCriticalMatches','epix',''),(24,'role.epix.removeLinks','epix',''),(25,'role.epix.removeLink','epix',''),(26,'role.epix.assignIdentity','epix',''),(27,'role.epix.requestLinkedPersons','epix',''),(28,'role.cm.addConsentCDA','cm',''),(29,'role.cm.addConsent','cm',''),(30,'role.cm.isConsentedRegardlessOfVersion','cm',''),(31,'role.cm.isConsented','cm',''),(32,'role.cm.listConsentTemplates','cm',''),(33,'role.cm.addConsentTemplate','cm',''),(34,'role.cm.deleteConsentTemplate','cm',''),(35,'role.cm.listPolicies','cm',''),(36,'role.cm.addPolicy','cm',''),(37,'role.cm.deletePolicy','cm',''),(38,'role.cm.getPolicy','cm',''),(39,'role.cm.getConsentTemplate','cm',''),(40,'role.cm.getNewestConsentTemplate','cm',''),(41,'role.cm.getPolicyStatesForSigner','cm',''),(42,'role.gras.admin.revokePermission','gras',''),(43,'role.gras.admin.grantPermission','gras',''),(44,'role.gras.admin.revokeRoleFromGroup','gras',''),(45,'role.gras.admin.assignRoleToGroup','gras',''),(46,'role.gras.admin.updateGroup','gras',''),(47,'role.gras.admin.removeGroup','gras',''),(48,'role.gras.admin.addGroup','gras',''),(49,'role.gras.admin.getGroups','gras',''),(50,'role.gras.admin.removeRole','gras',''),(51,'role.gras.admin.addRole','gras',''),(52,'role.gras.admin.getRoles','gras',''),(53,'role.gras.admin.deactivateUser','gras',''),(54,'role.gras.admin.activateUser','gras',''),(55,'role.gras.admin.addUser','gras',''),(56,'role.gras.admin.getUsers','gras',''),(57,'role.gras.admin.updateDomain','gras',''),(58,'role.gras.admin.removeDomain','gras',''),(59,'role.gras.admin.addDomain','gras',''),(60,'role.gras.admin.getDomains','gras',''),(61,'role.gras.admin.updateProject','gras',''),(62,'role.gras.admin.removeProject','gras',''),(63,'role.gras.admin.addProject','gras',''),(64,'role.gras.admin.getProjects','gras',''),(65,'role.gras.admin.getGroupsFromProject','gras',''),(66,'role.gras.admin.getRolesFromProject','gras',''),(67,'role.gras.admin.updateUser','gras',''),(68,'role.gras.admin.setUserPassword','gras',''),(69,'role.gras.admin.getRolesFromGroup','gras',''),(70,'role.gras.admin.getGroupsFromRole','gras',''),(71,'role.gras.admin.updateRole','gras',''),(72,'role.gras.admin.getPermissions','gras',''),(73,'role.gras.validate','gras',''),(74,'role.dispatcher.authorize','dispatcher',''),(78,'role.nvr.admin','nvr','');
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `updateRole` BEFORE UPDATE ON `gras`.`role` FOR EACH ROW INSERT INTO hist_role(role_id,name,project_name,description,timestamp,action)
        VALUES(OLD.id,OLD.name, OLD.project_name,OLD.description, now(),
      'update') */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `deleteRole` BEFORE DELETE ON `gras`.`role` FOR EACH ROW BEGIN
    INSERT INTO hist_role(role_id,name,project_name,description,timestamp,action)
        VALUES(OLD.id,OLD.name, OLD.project_name, OLD.description, now(),
      'delete');
    DELETE FROM gras.group_role_mapping WHERE role_id = OLD.id;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `name` varchar(255) NOT NULL DEFAULT '',
  `password` varchar(255) DEFAULT NULL,
  `active` tinyint(1) DEFAULT '1',
  `description` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES ('trustee','3a6eb0790f39ac87c94f3856b2dd2c5d110e6811602261a9a923d3bb23adc8b7',1,'','');
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `updateUser` BEFORE UPDATE ON `gras`.`user` FOR EACH ROW INSERT INTO hist_user(name,password,active,description,email,timestamp,action)
        VALUES(OLD.name, OLD.password, OLD.active,OLD.description,OLD.email, now(), 'update' ) */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_AUTO_VALUE_ON_ZERO' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`%`*/ /*!50003 TRIGGER `deleteUser` BEFORE DELETE ON `gras`.`user` FOR EACH ROW BEGIN
    INSERT INTO hist_user(name,password,active,description,email,timestamp,action)
        VALUES(OLD.name, OLD.password, OLD.active,OLD.description,OLD.email, now(), 'delete' );
    DELETE FROM gras.permission WHERE user_name = OLD.name;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Temporary view structure for view `validate`
--

DROP TABLE IF EXISTS `validate`;
/*!50001 DROP VIEW IF EXISTS `validate`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `validate` AS SELECT 
 1 AS `domainuser`,
 1 AS `password`,
 1 AS `role`*/;
SET character_set_client = @saved_cs_client;

--
-- Current Database: `mysql`
--

USE `mysql`;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES
('%','ttp-dispatcher','*4556482D67B8C57535EA286BAD91FE9BCC5FDE02','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','','','','',0,0,0,0,'mysql_native_password','','N')
,('%','gras','*E0C734255469A680719F9732842F2326CE4E62CC','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','','','','',0,0,0,0,'mysql_native_password','','N')
,('%','gpas','*2B70FE3D43D14279B0847B50C826EBEB45D48CB1','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','','','','',0,0,0,0,'mysql_native_password','','N')
;
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;

LOCK TABLES `db` WRITE;
/*!40000 ALTER TABLE `db` DISABLE KEYS */;
INSERT INTO `db` VALUES
('%','ttp_dispatcher','ttp-dispatcher','Y','Y','Y','Y','N','N','N','N','Y','N','N','N','N','Y','N','N','N','N','N')
,('%','gras','gras','Y','Y','Y','Y','N','N','N','N','N','N','N','N','N','Y','N','N','Y','N','Y')
,('%','gpas','gpas','Y','Y','Y','Y','N','N','N','N','Y','N','N','N','N','Y','N','N','N','N','Y')
;
/*!40000 ALTER TABLE `db` ENABLE KEYS */;
UNLOCK TABLES;


--
-- Current Database: `ttp_dispatcher`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ttp_dispatcher` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `ttp_dispatcher`;

--
-- Table structure for table `alias`
--

DROP TABLE IF EXISTS `alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alias` (
  `aliasContext` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `comment` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`alias`,`aliasContext`,`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alias`
--

LOCK TABLES `alias` WRITE;
/*!40000 ALTER TABLE `alias` DISABLE KEYS */;
/*!40000 ALTER TABLE `alias` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `audit`
--

DROP TABLE IF EXISTS `audit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `audit` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user` varchar(255) DEFAULT NULL,
  `event` varchar(255) DEFAULT NULL,
  `creationDate` datetime DEFAULT NULL,
  `affectedResource` varchar(255) DEFAULT NULL,
  `sourceProject` varchar(255) DEFAULT NULL,
  `additionalData` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `audit`
--

LOCK TABLES `audit` WRITE;
/*!40000 ALTER TABLE `audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `configuration`
--

DROP TABLE IF EXISTS `configuration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `configuration` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `configKey` varchar(255) NOT NULL,
  `value` text,
  `description` text,
  `activated` bit(1) NOT NULL DEFAULT b'1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `configKey_` (`configKey`)
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `configuration`
--

LOCK TABLES `configuration` WRITE;
/*!40000 ALTER TABLE `configuration` DISABLE KEYS */;
INSERT INTO `configuration` (`id`,`configKey`,`value`,`description`,`activated`) VALUES
  (41,'dispatcher.config.current','9',NULL,'1')
  ,(45,'dispatcher.config.9','<?xml version="1.0"?>\n<org.icmvc.ttp.dispatcher.common.config.DispatcherConfig>\n <psnConfig>\n   <domainTemplates>\n     <org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainTemplate>\n        <alphabet>org.emau.icmvc.ganimed.ttp.psn.alphabets.Numbers</alphabet>\n       <checkDigitClass>org.emau.icmvc.ganimed.ttp.psn.generator.Verhoeff</checkDigitClass>\n        <domainName>siteDomain</domainName>\n       <proberties>PSN_LENGTH=8</proberties>\n       <namePrefix></namePrefix>\n       <generateAlias>true</generateAlias>\n     </org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainTemplate>\n   </domainTemplates>\n    <psnWorkflows>\n      <entry>\n       <string>newPatient</string>\n       <org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowConfig>\n          <steps>\n           <entry>\n             <int>0</int>\n              <org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n                <action>GET_OR_GENERATE</action>\n                <domain>source</domain>\n               <sourceValue>MPIDTO_FIRSTMPIID</sourceValue>\n              </org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n           </entry>\n            <entry>\n             <int>1</int>\n              <org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n                <action>GET_OR_GENERATE</action>\n                <domain>target</domain>\n               <sourceValue>PREVIOUS_PSN</sourceValue>\n             </org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n           </entry>\n          </steps>\n          <mappings>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n             <sourceDomain>dzhk.study.vad</sourceDomain>\n             <targetDomain>dzhk.system.pheno</targetDomain>\n              <id>newPatient.vad2secutrial</id>\n           </org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n             <sourceDomain>dzhk.study.torch</sourceDomain>\n             <targetDomain>dzhk.system.pheno</targetDomain>\n              <id>newPatient.torch2secutrial</id>\n           </org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n          </mappings>\n         <returnValue>LAST_PSN</returnValue>\n       </org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowConfig>\n     </entry>\n      <entry>\n       <string>getMPIID</string>\n       <org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowConfig>\n          <steps>\n           <entry>\n             <int>0</int>\n              <org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n                <action>RESOLVE</action>\n                <domain>source</domain>\n               <sourceValue>PSN</sourceValue>\n              </org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n           </entry>\n            <entry>\n             <int>1</int>\n              <org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n                <action>RESOLVE</action>\n                <domain>parent</domain>\n               <prefixRegex>^([a-zA-Z0-9]*_{1}).*</prefixRegex>\n                <sourceValue>PREVIOUS_ORIGINAL_VALUE</sourceValue>\n              </org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n           </entry>\n          </steps>\n          <mappings>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n             <sourceDomain>dzhk.system.pheno</sourceDomain>\n              <targetDomain>dzhk.study.vad</targetDomain>\n             <id>getMPIID.secutrial2vad</id>\n           </org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n             <sourceDomain>dzhk.system.pheno</sourceDomain>\n              <targetDomain>dzhk.study.torch</targetDomain>\n             <id>getMPIID.secutrial2torch</id>\n           </org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n          </mappings>\n         <returnValue>LAST_ORIGINAL_VALUE</returnValue>\n        </org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowConfig>\n     </entry>\n      <entry>\n       <string>getConsentPSN</string>\n        <org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowConfig>\n          <steps>\n           <entry>\n             <int>0</int>\n              <org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n                <action>RESOLVE</action>\n                <domain>source</domain>\n               <sourceValue>PSN</sourceValue>\n              </org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n           </entry>\n          </steps>\n          <mappings>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n             <sourceDomain>dzhk.system.pheno</sourceDomain>\n              <targetDomain>dzhk.study.vad</targetDomain>\n             <id>getConsentPSN.secutrial.vad</id>\n            </org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n             <sourceDomain>dzhk.system.pheno</sourceDomain>\n              <targetDomain>dzhk.study.torch</targetDomain>\n             <id>getConsentPSN.secutrial.torch</id>\n            </org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n             <sourceDomain>dzhk.system.pheno</sourceDomain>\n              <targetDomain>dzhk.study.torch</targetDomain>\n             <id>getConsentPSN.secutrial.DZHK TORCH</id>\n           </org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n             <sourceDomain>dzhk.system.pheno</sourceDomain>\n              <targetDomain>dzhk.study.torch</targetDomain>\n             <id>getConsentPSN.secutrial.DZHK VAD</id>\n           </org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n          </mappings>\n         <returnValue>LAST_ORIGINAL_VALUE</returnValue>\n        </org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowConfig>\n     </entry>\n      <entry>\n       <string>System2System</string>\n        <org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowConfig>\n          <steps>\n           <entry>\n             <int>0</int>\n              <org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n                <action>RESOLVE</action>\n                <domain>source</domain>\n               <sourceValue>PSN</sourceValue>\n              </org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n           </entry>\n            <entry>\n             <int>1</int>\n              <org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n                <action>GET_OR_GENERATE</action>\n                <domain>target</domain>\n               <sourceValue>PREVIOUS_ORIGINAL_VALUE</sourceValue>\n              </org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowStep>\n           </entry>\n          </steps>\n          <mappings>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n             <sourceDomain>dzhk.system.pheno</sourceDomain>\n              <targetDomain>dzhk.system.lims</targetDomain>\n             <id>secutrial2lims</id>\n           </org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n<org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n             <sourceDomain>dzhk.system.pheno</sourceDomain>\n              <targetDomain>dzhk.system.pheno</targetDomain>\n              <id>secutrial2lims</id>\n           </org.icmvc.ttp.dispatcher.common.config.psn.PsnDomainMapping>\n          </mappings>\n         <returnValue>LAST_PSN</returnValue>\n       </org.icmvc.ttp.dispatcher.common.config.psn.PsnWorkflowConfig>\n     </entry>\n    </psnWorkflows>\n </psnConfig>\n  <cmConfig>\n    <defaultPolicyDomain>DZHK</defaultPolicyDomain>\n   <defaultConsentDomain>DZHK</defaultConsentDomain>\n   <defaultEventDomain>DZHK</defaultEventDomain>\n   <defaultSignerIdType>studyId</defaultSignerIdType>\n  </cmConfig>\n <consentPsnConfig>\n    <consentPsnWorkflow>getConsentPSN</consentPsnWorkflow>\n    <psnDomainMappingIdPattern>{workflow}.{idType}.{studyName}</psnDomainMappingIdPattern>\n  </consentPsnConfig>\n <eventConfig>\n   <events>\n      <entry>\n       <string>get.psn.lims.DZHK TORCH</string>\n        <org.icmvc.ttp.dispatcher.common.config.common.DispatcherEvent>\n         <name>get.psn.lims.DZHK TORCH</name>\n          <psnQueryConfig>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnQueryConfig>\n             <sourceIdTypePattern>secutrial{1}</sourceIdTypePattern>\n             <targetIdTypePattern>lims{1}</targetIdTypePattern>\n              <callbackOnly>false</callbackOnly>\n              <psnWorkflow>System2System</psnWorkflow>\n            </org.icmvc.ttp.dispatcher.common.config.psn.PsnQueryConfig>\n          </psnQueryConfig>\n         <policyQueries>\n           <org.icmvc.ttp.dispatcher.common.config.cm.PolicyQueryConfigItem>\n             <key>\n               <policyDomain>DZHK</policyDomain>\n               <policyId>Biomaterialien_entnehmen</policyId>\n             </key>\n              <versionRange>[1.0,1.9]</versionRange>\n              <config>\n                <ignoreVersionNumber>true</ignoreVersionNumber>\n               <unknownStateIsConsideredAsDeclined>true</unknownStateIsConsideredAsDeclined>\n             </config>\n           </org.icmvc.ttp.dispatcher.common.config.cm.PolicyQueryConfigItem>\n          </policyQueries>\n        </org.icmvc.ttp.dispatcher.common.config.common.DispatcherEvent>\n      </entry>\n<entry>\n       <string>validate.psn.secuTrial</string>\n       <org.icmvc.ttp.dispatcher.common.config.common.DispatcherEvent>\n         <name>validate.psn.secuTrial</name>\n         <psnQueryConfig>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnQueryConfig>\n             <sourceIdTypePattern>secutrial{1}</sourceIdTypePattern>\n             <targetIdTypePattern>secutrial{1}</targetIdTypePattern>\n             <callbackOnly>true</callbackOnly>\n             <psnWorkflow>System2System</psnWorkflow>\n            </org.icmvc.ttp.dispatcher.common.config.psn.PsnQueryConfig>\n          </psnQueryConfig>\n         <policyQueries>\n         </policyQueries>\n        </org.icmvc.ttp.dispatcher.common.config.common.DispatcherEvent>\n      </entry>\n      <entry>\n       <string>get.psn.lims.DZHK VAD</string>\n        <org.icmvc.ttp.dispatcher.common.config.common.DispatcherEvent>\n         <name>get.psn.lims.DZHK VAD</name>\n          <psnQueryConfig>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnQueryConfig>\n             <sourceIdTypePattern>secutrial{1}</sourceIdTypePattern>\n             <targetIdTypePattern>lims{1}</targetIdTypePattern>\n              <callbackOnly>false</callbackOnly>\n              <psnWorkflow>System2System</psnWorkflow>\n            </org.icmvc.ttp.dispatcher.common.config.psn.PsnQueryConfig>\n          </psnQueryConfig>\n         <policyQueries>\n           <org.icmvc.ttp.dispatcher.common.config.cm.PolicyQueryConfigItem>\n             <key>\n               <policyDomain>DZHK</policyDomain>\n               <policyId>Biomaterialien_entnehmen</policyId>\n             </key>\n              <versionRange>[1.0,1.9]</versionRange>\n              <config>\n                <ignoreVersionNumber>true</ignoreVersionNumber>\n               <unknownStateIsConsideredAsDeclined>true</unknownStateIsConsideredAsDeclined>\n             </config>\n           </org.icmvc.ttp.dispatcher.common.config.cm.PolicyQueryConfigItem>\n          </policyQueries>\n        </org.icmvc.ttp.dispatcher.common.config.common.DispatcherEvent>\n      </entry>\n      <entry>\n       <string>Forschungsanfrage</string>\n        <org.icmvc.ttp.dispatcher.common.config.common.DispatcherEvent>\n         <name>Forschungsanfrage</name>\n          <psnQueryConfig>\n            <org.icmvc.ttp.dispatcher.common.config.psn.PsnQueryConfig>\n             <sourceIdTypePattern>fdb{1}</sourceIdTypePattern>\n             <targetIdTypePattern>.*</targetIdTypePattern>\n             <callbackOnly>false</callbackOnly>\n              <psnWorkflow>System2System</psnWorkflow>\n            </org.icmvc.ttp.dispatcher.common.config.psn.PsnQueryConfig>\n          </psnQueryConfig>\n         <policyQueries>\n           <org.icmvc.ttp.dispatcher.common.config.cm.PolicyQueryConfigItem>\n             <key>\n               <policyDomain>DZHK</policyDomain>\n               <policyId>Biomaterialien_entnehmen</policyId>\n             </key>\n              <versionRange>[1.0,1.9]</versionRange>\n              <config>\n                <ignoreVersionNumber>true</ignoreVersionNumber>\n               <unknownStateIsConsideredAsDeclined>true</unknownStateIsConsideredAsDeclined>\n             </config>\n           </org.icmvc.ttp.dispatcher.common.config.cm.PolicyQueryConfigItem>\n          </policyQueries>\n        </org.icmvc.ttp.dispatcher.common.config.common.DispatcherEvent>\n      </entry>\n    </events>\n </eventConfig>\n  <serverConfig>\n    <protocol>http</protocol>\n   <port>8080</port>\n   <domain>localhost</domain>\n    <sessionTimeOut>3600</sessionTimeOut>\n   <apiKeyName>apiKey</apiKeyName>\n   <enableAudit>false</enableAudit>\n  </serverConfig>\n <wfmConfig>\n   <enableActiveMQ>false</enableActiveMQ>\n    <!-- <standalone>true</standalone> -->\n  </wfmConfig>\n  <securityConfig>\n    <permissions>\n      <permission identifier="create_session" type="simple" action="create" object="session" description="" />\n      <permission identifier="create_token" type="simple" action="create" object="token" description="" />\n      <permission identifier="create_addPatient" type="simple" action="create" object="addPatient" description="" />\n      <permission identifier="create_requestPSN" type="simple" action="create" object="requestPSN" description="" />\n      <permission identifier="call_requestPSN" type="simple" action="call" object="requestPSN" description="" />\n      <permission identifier="create_queryPolicies" type="simple" action="create" object="queryPolicies" description="" />\n      <permission identifier="call_queryPolicies" type="simple" action="call" object="queryPolicies" description="" />\n      <permission identifier="call_demoController" type="simple" action="call" object="demoController" description="" />\n      <permission identifier="createTicket_demoController" type="simple" action="createTicket" object="demoController" description="" />\n      <permission identifier="event.Forschungsanfrage" type="simple" action="Forschungsanfrage" object="event" description="" />\n      <permission identifier="event.get.psn.lims.vad" type="simple" action="get.psn.lims.DZHK VAD" object="event" description="" />\n      <permission identifier="event.get.psn.lims.torch" type="simple" action="get.psn.lims.DZHK TORCH" object="event" description="" />\n      <permission identifier="call_getUploadedFiles" type="simple" action="call" object="getUploadedFilesController" description="" />\n      <permission identifier="call_getPsnForID" type="simple" action="call" object="getPsnForID" description="" />\n      <permission identifier="call_getAllSites" type="simple" action="call" object="getAllSites" description="" />\n   </permissions>\n    <roles>\n     <role identifier="mdatserver" description="">\n       <simplePermissions>\n         <simplePermission identifier="create_session" />\n          <simplePermission identifier="create_token" />\n        </simplePermissions>\n      </role>\n      <role identifier="transferUnit" description="">\n        <simplePermissions>\n         <simplePermission identifier="create_session" />\n          <simplePermission identifier="create_token" />\n          <simplePermission identifier="event.get.psn.lims.vad" />\n          <simplePermission identifier="event.get.psn.lims.torch" />\n          <simplePermission identifier="call_requestPSN" />\n       </simplePermissions>\n      </role>\n     <role identifier="admin" description="">\n        <simplePermissions>\n         <simplePermission identifier="create_session" />\n          <simplePermission identifier="create_token" />\n          <simplePermission identifier="create_requestPSN" />\n         <simplePermission identifier="create_queryPolicies" />\n          <simplePermission identifier="create_queryPolicies" />\n          <simplePermission identifier="create_addPatient" />\n         <simplePermission identifier="call_queryPolicies" />\n          <simplePermission identifier="call_requestPSN" />\n         <simplePermission identifier="call_demoController" />\n         <simplePermission identifier="event.Forschungsanfrage" />\n         <simplePermission identifier="event.get.psn.lims.vad" />\n          <simplePermission identifier="event.get.psn.lims.torch" />\n          <simplePermission identifier="call_getUploadedFiles" />\n         <simplePermission identifier="createTicket_demoController" />\n         <simplePermission identifier="call_getPsnForID" />\n       </simplePermissions>\n      </role>\n  <role identifier="ocdi" description="ocdi funktionen">\n        <simplePermissions>\n          <simplePermission identifier="call_getPsnForID" />\n         <simplePermission identifier="call_getAllSites" />\n       </simplePermissions>\n      </role>\n   </roles>\n    <actors>\n      <actor identifier="secutrial12345" description="">\n        <actorRoles>\n          <actorRole identifier="admin" />\n        </actorRoles>\n     </actor>\n<actor identifier="df211ccdd" description="transferstelle">\n       <actorRoles>\n          <actorRole identifier="transferUnit" />\n       </actorRoles>\n     </actor>\n\n\n<actor identifier="enh#2016#REST" description="ocdi-funktionen">\n       <actorRoles>\n          <actorRole identifier="ocdi" />\n       </actorRoles>\n     </actor>\n    </actors>\n </securityConfig>\n</org.icmvc.ttp.dispatcher.common.config.DispatcherConfig>','NVR-Dispatcher','1')
  ,(46,'nvr.properties','oc.study.default.id = default-study\noc.usernameToken = UsernameToken-27777511\noc.username = nvr_dispatcher\noc.password = 701aae6a5f8dca50540c936c9e74c3a985687d33\noc.event.default.id = SE_VERLAUFSERHEBUNG_V4\noc.server.address = //openclinica.de:8080\noc.url.getSites = {{dbprop:oc.server.address}}/OpenClinica-ws/ws/study/v1\noc.url.studySubjectService = {{dbprop:oc.server.address}}/OpenClinica-ws/ws/studySubject/v1\noc.url.registerEvent = {{dbprop:oc.server.address}}/OpenClinica-ws/ws/event/v1\noc.url.checkLoggedIn = {{dbprop:oc.server.address}}/OpenClinica/ListStudySubjects\noc.url.logIn = {{dbprop:oc.server.address}}/OpenClinica/j_spring_security_check\noc.url.logOut = {{dbprop:oc.server.address}}/OpenClinica/j_spring_security_logout\nnvr.cancel.redirect.url = https:{{dbprop:oc.server.address}}/OpenClinica/\nnvr.psn.domain.oc = nvr.open.clinica\nnvr.psn.domain.site.prefix = nvr.\nnvr.redirect.url = /OpenClinica/ListStudySubjects?module=admin&maxRows=15&showMoreLink=true&findSubjects_tr_=true&findSubjects_p_=1&findSubjects_mr_=15&findSubjects_f_studySubject.label=${psn}\nnvr.web.session.timeout = 3600\nnvr.psn.domain.bc = nvr.bc\nnvr.psn.domain.fp = nvr.fp',NULL,'1');
/*!40000 ALTER TABLE `configuration` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hibernate_sequences`
--

DROP TABLE IF EXISTS `hibernate_sequences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hibernate_sequences` (
  `sequence_name` varchar(255) DEFAULT NULL,
  `sequence_next_hi_value` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hibernate_sequences`
--

LOCK TABLES `hibernate_sequences` WRITE;
/*!40000 ALTER TABLE `hibernate_sequences` DISABLE KEYS */;
INSERT INTO `hibernate_sequences` VALUES ('audit',0);
/*!40000 ALTER TABLE `hibernate_sequences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Current Database: `gpas`
--

USE `gpas`;

--
-- Current Database: `gras`
--

USE `gras`;

--
-- Final view structure for view `domainuser_password`
--

/*!50001 DROP VIEW IF EXISTS `domainuser_password`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `domainuser_password` AS select distinct concat_ws('@',`p`.`user_name`,`p`.`domain_name`) AS `domainuser`,`u`.`password` AS `password` from (`permission` `p` join `user` `u`) where ((`u`.`name` = `p`.`user_name`) and (`u`.`active` = 1)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `domainuser_role`
--

/*!50001 DROP VIEW IF EXISTS `domainuser_role`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `domainuser_role` AS select distinct concat_ws('@',`p`.`user_name`,`p`.`domain_name`) AS `domainuser`,`r`.`name` AS `role` from ((`permission` `p` join `group_role_mapping` `m`) join `role` `r`) where ((`p`.`group_id` = `m`.`group_id`) and (`m`.`role_id` = `r`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `validate`
--

/*!50001 DROP VIEW IF EXISTS `validate`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `validate` AS select distinct `a`.`domainuser` AS `domainuser`,`a`.`password` AS `password`,`b`.`role` AS `role` from (`domainuser_password` `a` join `domainuser_role` `b`) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;


--
-- Current Database: `ttp_dispatcher`
--

USE `ttp_dispatcher`;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-12-14 14:06:34
