#!/bin/bash
# ###license-information-start###
# The MOSAIC Project - Toolbox for research
# __
# Copyright (C) 2009 - 2017 The MOSAIC Project - Institute for Community Medicine 
# University Medicine of Greifswald - mosaic@uni-greifswald.de
# __
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# ###license-information-end###
# author: arne.blumentritt@uni-greifswald.de


read -p "This will remove all mosaic tools with data. Are you sure? [y/n] " -n 1 -r
if [[ $REPLY =~ ^[Yy]$ ]]
echo ""
then
	# erst die container stoppen, ...
	echo ""
	echo "Stopping Containers"
	echo "----------------------"
	docker stop ocdb oc ttpdb ttp portal mrdb ocdi

	# dann alle container löschen ...
	echo ""
	echo "Removing Containers"
	echo "----------------------"
	docker rm ocdb-data ocdb oc-data oc ttpdb-data ttpdb ttp portal mrdb-data mrdb ocdi-data ocdi

	# dann alle ungenutzten images löschen ...
	echo ""
	echo "Removing unused Images"
	echo "----------------------"
	read -p "- Will you remove all unused images? [y/n] " -n 1 -r
	if [[ $REPLY =~ ^[Yy]$ ]]; then
		docker images -q | xargs docker rmi 2> /dev/null
	fi

	# und zum schluss überreste beseitigen
	echo ""
	echo "Cleaning up"
	echo "----------------------"
	read -e -p "- Get your storage-path on host for config- and database-files: " -i "/opt" HOSTDIR
	if [ ! -d "$HOSTDIR" ]; then
		echo "Given hostpath does not exists '$HOSTDIR'"
		exit 1;
	fi
	HOSTDIR=${HOSTDIR%/}
	rm -rf $HOSTDIR/extrans/ $HOSTDIR/imports/ $HOSTDIR/jboss-conf/ $HOSTDIR/jboss-deploy/ $HOSTDIR/mysql/ $HOSTDIR/nginx/ $HOSTDIR/ocdi/ $HOSTDIR/openclinica/
fi