package org.icmvc.nvr.dispatcher.web.utils;

/*
 * ###license-information-start###
 * Toolbox for Research - TTP Dispatcher
 * __
 * Copyright (C) 2017 The MOSAIC Project - Institut fuer Community Medicine der
 * 							Universitaetsmedizin Greifswald - mosaic@uni-greifswald.de
 * __
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * ###license-information-end###
 */


import java.util.HashMap;
import java.util.Map;
import java.util.ResourceBundle;

import javax.faces.context.FacesContext;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class MessagesBundle
{
	static Map<String, ResourceBundle> bundles = new HashMap<String, ResourceBundle>();
	private static final Logger logger = LoggerFactory.getLogger(MessagesBundle.class);

	public static ResourceBundle getBundle(String key)
	{
		if (!bundles.containsKey(key))
		{
			FacesContext context = FacesContext.getCurrentInstance();
			ResourceBundle r = context.getApplication().getResourceBundle(context, key);

			if (r == null)
			{
				logger.warn("Could not find bundle for key '{}'", key);
				return null;
			}
			bundles.put(key, r);
		}

		return bundles.get(key);
	}

	public static ResourceBundle getFileBundle(String key)
	{
		if (!bundles.containsKey(key))
		{
			ResourceBundle r = ResourceBundle.getBundle(key);
			if (r == null)
			{
				logger.warn("Could not find bundle for key '{}'", key);
				return null;
			}
			bundles.put(key, r);
		}

		return bundles.get(key);
	}
}
