package org.icmvc.nvr.dispatcher.wfm.camel;

/*
 * ###license-information-start###
 * Toolbox for Research - TTP Dispatcher
 * __
 * Copyright (C) 2017 The MOSAIC Project - Institut fuer Community Medicine der
 * 							Universitaetsmedizin Greifswald - mosaic@uni-greifswald.de
 * __
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * ###license-information-end###
 */

import org.apache.camel.component.properties.PropertiesFunction;
import org.icmvc.ttp.nvr.dispatcher.common.interfaces.IPropertiesDbResolveService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class PropertiesDbResolveFunction implements PropertiesFunction
{
	IPropertiesDbResolveService s;
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	public PropertiesDbResolveFunction(IPropertiesDbResolveService m)
	{
		s = m;
	}

	@Override
	public String apply(String arg0)
	{
		return s.getProperty(IPropertiesDbResolveService.COMMON_NVR, arg0);
	}

	@Override
	public String getName()
	{
		return "dbprop";
	}

}
