package org.icmvc.nvr.test;

/*
 * ###license-information-start###
 * Toolbox for Research - TTP Dispatcher
 * __
 * Copyright (C) 2017 The MOSAIC Project - Institut fuer Community Medicine der
 * 							Universitaetsmedizin Greifswald - mosaic@uni-greifswald.de
 * __
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * ###license-information-end###
 */

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.apache.http.client.CookieStore;
import org.apache.http.cookie.Cookie;

public class CustomCookieStore implements CookieStore
{
	private volatile static CustomCookieStore instance;
	private volatile List<Cookie> cookies = new ArrayList<Cookie>();
	private static Object syncObj = new Object();

	public static CustomCookieStore getInstance()
	{
		if(instance==null)
		{
			synchronized (syncObj)
			{
				if(instance==null)
				{
					instance = new CustomCookieStore();
				}
			}
		}
		return instance;
	}

	public CustomCookieStore()
	{

	}

	@Override
	public void addCookie(Cookie arg0)
	{
		cookies.add(arg0);
	}

	@Override
	public void clear()
	{
		cookies.clear();
	}

	@Override
	public boolean clearExpired(Date arg0)
	{
//		for(Cookie c: cookies)
//		{
//			if(c.getExpiryDate()!=null && c.getExpiryDate().getTime()>arg0.getTime())
//			{
//
//			}
//		}

		return true;
	}

	@Override
	public List<Cookie> getCookies()
	{
		return cookies;
	}

}
